Bug 89992 - (DMI APM)Oops from apm on Acer Travelmate 230
(DMI APM)Oops from apm on Acer Travelmate 230
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 17:33 EDT by Michal Jaegermann
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode results on Acer Travelmate 230 (4.66 KB, text/plain)
2003-06-07 13:45 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2003-04-30 17:33:27 EDT
Description of problem:

On Acer Travelmate 230 any access to /proc/apm is causing this:

general protection fault: e7ac
i830 agpgart parport_pc lp parport autofs pcmcia_core 8139too mii ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_mod ide-cd cdrom ext3 jbd keybde
CPU:    0
EIP:    00b0:[<000023b4>]    Not tainted
EFLAGS: 00010046

EIP is at Using_Versions [] 0x23b3 (2.4.20-9)
eax: 00000282   ebx: 00000001   ecx: 00000000   edx: 00000000
esi: c026ab93   edi: 00000014   ebp: c5ddde6c   esp: c5ddde64
ds: 00b8   es: 0000   ss: 0068
Process cat (pid: 1366, stackpage=c5ddd000)
Stack: 462744ac 0000de6c 000000b8 ab930282 de8000b0 00000001 530a0000 00000012 
       00a84677 c65f0000 c5dddeec c01156fd 00000060 c5dddeec 00000282 cddb0068 
       00000068 c0143bae c1aa0bf8 cddb0033 c0130000 c5dddf46 c026ab93 c5ac5000 
Call Trace:   [<c01156fd>] apm_bios_call [kernel] 0x4d (0xc5ddde90))
[<c0143bae>] __pte_chain_free [kernel] 0x1e (0xc5dddea8))
[<c0130000>] vmtruncate_list [kernel] 0x40 (0xc5dddeb4))
[<c0115c45>] apm_get_power_status [kernel] 0x65 (0xc5dddec8))
[<c011696b>] apm_get_info [kernel] 0x4b (0xc5dddf04))
[<c013e9d5>] __alloc_pages [kernel] 0x95 (0xc5dddf14))
[<c016b884>] proc_file_read [kernel] 0x1c4 (0xc5dddf54))
[<c0146da3>] sys_read [kernel] 0xa3 (0xc5dddf94))
[<c010953f>] system_call [kernel] 0x33 (0xc5dddfc0))


Code:  Bad EIP value.

Adding 'apm=broken-psr' to a boot command prevents oops but not much
of APM seems to work afterwards.

Version-Release number of selected component (if applicable):
kernel-2.4.20-9
Comment 1 Arjan van de Ven 2003-04-30 17:35:58 EDT
EIP:    00b0:[<000023b4>]    Not tainted


00b0: says your bios oopsed...... ungood but nothing the kernel can fix really.
Comment 2 Alan Cox 2003-06-05 12:11:04 EDT
Can you get a copy of dmidecode, run it on the system and email me the results ?
Comment 3 Michal Jaegermann 2003-06-07 13:45:43 EDT
Created attachment 92239 [details]
dmidecode results on Acer Travelmate 230

> Can you get a copy of dmidecode, run it on the system and email me the
results 
?

For a reference here and also mailed to Alan
Comment 4 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.